package com.smppw.modaq.domain.dto;

import com.smppw.modaq.common.enums.ReportParseStatus;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class UploadReportResult {
    private String reportPath;
    private int status;
    private String msg;

    public UploadReportResult() {
    }

    public UploadReportResult(String reportPath, int status, String msg) {
        this.reportPath = reportPath;
        this.status = status;
        this.msg = msg;
    }

    public UploadReportResult(String reportPath, ReportParseStatus status) {
        this.reportPath = reportPath;
        this.status = status.getCode();
        this.msg = status.getMsg();
    }
}
